Class | Resolv::DNS::Resource::IN::A
In: | resolv.rb
Parent: | Resource

### Methods

decode_rdata encode_rdata new

### Constants

TypeValue | = | 1, ClassValue = ClassValue]] = self

### Attributes

address | [R] |

### Public Class methods

decode_rdata(msg)

[Source]

    # File resolv.rb, line 1607
              def self.decode_rdata(msg)
                return self.new(IPv4.new(msg.get_bytes(4)))
              end

new(address)

[Source]

    # File resolv.rb, line 1598
              def initialize(address)
                @address = IPv4.create(address)
              end

### Public Instance methods

encode_rdata(msg)

[Source]

    # File resolv.rb, line 1603
              def encode_rdata(msg)
                msg.put_bytes(@address.address)
              end

[Validate]